org.apache.http.client.methods

## Class AbstractExecutionAwareRequest

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.AbstractExecutionAwareRequest

- All Implemented Interfaces:
    Cloneable ， AbortableHttpRequest ， HttpExecutionAware ， HttpMessage ， HttpRequest
  已知直接子类：
    HttpRequestBase

      public abstract class AbstractExecutionAwareRequest
      extends AbstractHttpMessage
      implements HttpExecutionAware, AbortableHttpRequest, Cloneable, HttpRequest

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractExecutionAwareRequest()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` 中止此http请求。
    `Object` | `clone()`
    `void` | `completed()`
    `boolean` | `isAborted()`
    `void` | `reset()` 重置请求的内部状态，使其可重用。
    `void` | `setCancellable(Cancellable cancellable)` 为正在进行的操作设置`Cancellable` 。
    `void` | `setConnectionRequest(ClientConnectionRequest connRequest)` 已过时。
    `void` | `setReleaseTrigger(ConnectionReleaseTrigger releaseTrigger)` 已过时。

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpRequest

      `getRequestLine`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### 构造方法详细信息

    - #### AbstractExecutionAwareRequest

          protected AbstractExecutionAwareRequest()

  - ### 方法详细信息

    - #### setConnectionRequest

          @Deprecated
          public void setConnectionRequest(ClientConnectionRequest connRequest)

      已过时。
      说明从界面： `AbortableHttpRequest`复制
      设置`ClientConnectionRequest`回调，可用于中止长时间的连接请求。 如果请求已经中止，则抛出`IOException` 。
      Specified by:
        `setConnectionRequest`在界面 `AbortableHttpRequest`
      另请参见：
        `ClientConnectionManager`

    - #### setReleaseTrigger

          @Deprecated
          public void setReleaseTrigger(ConnectionReleaseTrigger releaseTrigger)

      已过时。
      说明从界面： `AbortableHttpRequest`复制
      设置可用于中止活动连接的`ConnectionReleaseTrigger`回调。 通常，这将是`ManagedClientConnection`本身。 如果请求已经中止，则抛出`IOException` 。
      Specified by:
        `setReleaseTrigger`在界面 `AbortableHttpRequest`

    - #### abort

          public void abort()

      说明从界面： `AbortableHttpRequest`复制
      中止此http请求。 此方法的任何活动执行应立即返回。 如果请求尚未启动，则在下次执行后将中止。 中止此请求将导致所有后续执行此请求失败。
      Specified by:
        `abort`在界面 `AbortableHttpRequest`
      另请参见：
        `HttpClient.execute(HttpUriRequest)` ， `HttpClient.execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)` ， `HttpClient.execute(HttpUriRequest, org.apache.http.protocol.HttpContext)` ， `HttpClient.execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)`

    - #### isAborted

          public boolean isAborted()

      Specified by:
        `isAborted`在界面 `HttpExecutionAware`

    - #### setCancellable

          public void setCancellable(Cancellable cancellable)

      说明从界面： `HttpExecutionAware`复制
      为正在进行的操作设置`Cancellable` 。
      Specified by:
        `setCancellable`在界面 `HttpExecutionAware`
      从以下版本开始：
        4.2

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      重写：
        `clone`在 `Object`
      异常
        `CloneNotSupportedException`

    - #### completed

          public void completed()

      从以下版本开始：
        4.2

    - #### reset

          public void reset()

      重置请求的内部状态，使其可重用。
      从以下版本开始：
        4.2

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585